from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class Base(_message.Message):
    __slots__ = ["key", "username"]
    KEY_FIELD_NUMBER: _ClassVar[int]
    USERNAME_FIELD_NUMBER: _ClassVar[int]
    key: str
    username: str
    def __init__(self, username: _Optional[str] = ..., key: _Optional[str] = ...) -> None: ...

class Cert(_message.Message):
    __slots__ = ["certName", "certStatus"]
    CERTNAME_FIELD_NUMBER: _ClassVar[int]
    CERTSTATUS_FIELD_NUMBER: _ClassVar[int]
    certName: str
    certStatus: str
    def __init__(self, certName: _Optional[str] = ..., certStatus: _Optional[str] = ...) -> None: ...

class CertList(_message.Message):
    __slots__ = ["cert"]
    CERT_FIELD_NUMBER: _ClassVar[int]
    cert: _containers.RepeatedCompositeFieldContainer[Cert]
    def __init__(self, cert: _Optional[_Iterable[_Union[Cert, _Mapping]]] = ...) -> None: ...

class CreateSSLCertRequest(_message.Message):
    __slots__ = ["base", "cert", "certKey", "certName", "shortname"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    CERTKEY_FIELD_NUMBER: _ClassVar[int]
    CERTNAME_FIELD_NUMBER: _ClassVar[int]
    CERT_FIELD_NUMBER: _ClassVar[int]
    SHORTNAME_FIELD_NUMBER: _ClassVar[int]
    base: Base
    cert: str
    certKey: str
    certName: str
    shortname: str
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., shortname: _Optional[str] = ..., cert: _Optional[str] = ..., certKey: _Optional[str] = ..., certName: _Optional[str] = ...) -> None: ...

class CreateSSLCertResponse(_message.Message):
    __slots__ = ["uuid"]
    UUID_FIELD_NUMBER: _ClassVar[int]
    uuid: str
    def __init__(self, uuid: _Optional[str] = ...) -> None: ...

class DeleteSSLCertRequest(_message.Message):
    __slots__ = ["base", "uuid"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    UUID_FIELD_NUMBER: _ClassVar[int]
    base: Base
    uuid: str
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., uuid: _Optional[str] = ...) -> None: ...

class DeleteSSLCertResponse(_message.Message):
    __slots__ = ["isSuccess"]
    ISSUCCESS_FIELD_NUMBER: _ClassVar[int]
    isSuccess: bool
    def __init__(self, isSuccess: bool = ...) -> None: ...

class ListSSLCertRequest(_message.Message):
    __slots__ = ["base", "shortname"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    SHORTNAME_FIELD_NUMBER: _ClassVar[int]
    base: Base
    shortname: str
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., shortname: _Optional[str] = ...) -> None: ...

class ListSSLCertResponse(_message.Message):
    __slots__ = ["certList"]
    CERTLIST_FIELD_NUMBER: _ClassVar[int]
    certList: CertList
    def __init__(self, certList: _Optional[_Union[CertList, _Mapping]] = ...) -> None: ...

class PublishSSLCertRequest(_message.Message):
    __slots__ = ["base", "uuid"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    UUID_FIELD_NUMBER: _ClassVar[int]
    base: Base
    uuid: str
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., uuid: _Optional[str] = ...) -> None: ...

class PublishSSLCertResponse(_message.Message):
    __slots__ = ["isSuccess"]
    ISSUCCESS_FIELD_NUMBER: _ClassVar[int]
    isSuccess: bool
    def __init__(self, isSuccess: bool = ...) -> None: ...

class UpdateSSLCertRequest(_message.Message):
    __slots__ = ["base", "cert", "certKey", "certName", "shortname", "uuid"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    CERTKEY_FIELD_NUMBER: _ClassVar[int]
    CERTNAME_FIELD_NUMBER: _ClassVar[int]
    CERT_FIELD_NUMBER: _ClassVar[int]
    SHORTNAME_FIELD_NUMBER: _ClassVar[int]
    UUID_FIELD_NUMBER: _ClassVar[int]
    base: Base
    cert: str
    certKey: str
    certName: str
    shortname: str
    uuid: str
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., shortname: _Optional[str] = ..., uuid: _Optional[str] = ..., cert: _Optional[str] = ..., certKey: _Optional[str] = ..., certName: _Optional[str] = ...) -> None: ...

class UpdateSSLCertResponse(_message.Message):
    __slots__ = ["isSuccess"]
    ISSUCCESS_FIELD_NUMBER: _ClassVar[int]
    isSuccess: bool
    def __init__(self, isSuccess: bool = ...) -> None: ...

class WithdrawSSLCertRequest(_message.Message):
    __slots__ = ["base", "uuid"]
    BASE_FIELD_NUMBER: _ClassVar[int]
    UUID_FIELD_NUMBER: _ClassVar[int]
    base: Base
    uuid: str
    def __init__(self, base: _Optional[_Union[Base, _Mapping]] = ..., uuid: _Optional[str] = ...) -> None: ...

class WithdrawSSLCertResponse(_message.Message):
    __slots__ = ["isSuccess"]
    ISSUCCESS_FIELD_NUMBER: _ClassVar[int]
    isSuccess: bool
    def __init__(self, isSuccess: bool = ...) -> None: ...
